# civserver completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
#
# $Id: freeciv,v 1.2 2003/12/31 08:22:37 ianmacd Exp $

_civserver()
{
	local cur

	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	prev=${COMP_WORDS[COMP_CWORD-1]}

	case "$prev" in
		-@(f|g|l|r|-file|-log|-gamelog|-read))
			_filedir
			return 0
			;;
	esac

	if [[ "$cur" == -* ]]; then
		COMPREPLY=( $( compgen -W '-d -f -g -h -i -l -m -M -p -q -r -v\
			--debug --file --gamelog --help --info --log --meta \
			--Metaserver --port --quitidle --read --version' \
			-- $cur ) )
	fi

}
complete -F _civserver civserver

# civclient completion by Guillaume Rousse <rousse@ccr.jussieu.fr>
#
_civclient()
{
	local cur

	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	prev=${COMP_WORDS[COMP_CWORD-1]}

	case "$prev" in
		-@(l|S|t|-log|-Sound|-tiles))
			_filedir
			return 0
			;;
		-@(P|-Plugin))
			COMPREPLY=( $( compgen -W 'none esd sdl' -- $cur ) )
			return 0
			;;
		-@(s|-server))
			_known_hosts
			return 0
			;;
	esac

	if [[ "$cur" == -* ]]; then
		COMPREPLY=( $( compgen -W '-a -d -h -l -m -n -p -P -s -S -t -v\
			--autoconnect --debug --help --log --meta --name \
			--port --Plugin --server --Sound --tiles --version' \
			-- $cur ) )
	fi

}
complete -F _civclient civclient
